﻿using Microsoft.VisualBasic.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Airbus
{
    internal interface IDrawningObject : IEquatable<IDrawningObject>
    {
        //шаг перемещения объекта
        public float Step { get; }

        //установка позиции объекта
        void SetObject(int x, int y, int width, int height);

        //изменение направления перемещения объекта
        void MoveObject(Direction direction);

        //отрисовка объекта
        void DrawningObject(Graphics g);

        //получение текущей позиции объекта
        (float Left, float Right, float Top, float Bottom) GetCurrentPosition();

        //получение информации по объекту
        string GetInfo();
    }
}
